/*
 * $Id: ParallelProxyRunner.java,v 1.8 2012/04/25 19:37:54 oboehm Exp $
 *
 * Copyright (c) 2011 by Oliver Boehm
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express orimplied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 * (c)reated 18.12.2011 by oliver (ob@oasd.de)
 */

package patterntesting.concurrent.experimental;

import org.junit.runners.model.InitializationError;

import patterntesting.runtime.junit.ProxyRunner;

/**
 * This is the parallel version of the {@link ProxyRunner}.
 * It was moved in 1.2.20 to the patterntesting.concurrent.junit package and
 * will be marked as deprecated in 1.3.
 * 
 * @author oliver
 * @since 1.2 (18.12.2011)
 */
public class ParallelProxyRunner extends patterntesting.concurrent.junit.ParallelProxyRunner {

    /**
     * Instantiates a new parallel proxy runner.
     *
     * @param testClass the test class
     * @throws InitializationError the initialization error
     */
    public ParallelProxyRunner(Class<?> testClass) throws InitializationError {
        super(testClass);
    }

}

